pluginManagement {
    repositories {
        maven {
            url = uri("http://192.168.31.149:8081/nexus/repository/maven-public/")
            isAllowInsecureProtocol = true
        }
        maven {
            url = uri("http://192.168.31.149:8081/nexus/repository/google_maven/")
            isAllowInsecureProtocol = true
            content {
                includeGroupByRegex("com\\.android.*")
                includeGroupByRegex("com\\.google.*")
                includeGroupByRegex("androidx.*")
            }
        }
        google {
            content {
                includeGroupByRegex("com\\.android.*")
                includeGroupByRegex("com\\.google.*")
                includeGroupByRegex("androidx.*")
            }
        }
        mavenCentral()
        gradlePluginPortal()
    }
}
dependencyResolutionManagement {
    repositoriesMode.set(RepositoriesMode.FAIL_ON_PROJECT_REPOS)
    repositories {
        maven {
            url = uri("http://192.168.31.149:8081/nexus/repository/maven-public/")
            isAllowInsecureProtocol = true
        }
        maven {
            url = uri("http://192.168.31.149:8081/nexus/repository/google_maven/")
            isAllowInsecureProtocol = true
        }
        google()
        mavenCentral()
    }
}

rootProject.name = "BasicLayoutsCodelab"
include(":app")
 